Bullet Collision Detection & Physics Library: btShapeHull Class Reference

Bullet Collision Detection & Physics Library

Public Member Functions | Static Protected Member Functions | Protected Attributes | List of all members
btShapeHull Class Reference

btShapeHull implemented by John McCutchan. More...

`#include <btShapeHull.h>`

Collaboration diagram for btShapeHull:
[legend]

## Public Member Functions
| BT_DECLARE_ALIGNED_ALLOCATOR ()
| btShapeHull (const btConvexShape *shape)
| ~btShapeHull ()
bool | buildHull (btScalar margin, int highres=0)
int | numTriangles () const
int | numVertices () const
int | numIndices () const
const btVector3 * | getVertexPointer () const
const unsigned int * | getIndexPointer () const

## Static Protected Member Functions
static btVector3 * | getUnitSpherePoints (int highres=0)

## Protected Attributes
btAlignedObjectArray< btVector3 > | m_vertices
btAlignedObjectArray< unsigned int > | m_indices
unsigned int | m_numIndices
const btConvexShape * | m_shape

## Detailed Description

btShapeHull implemented by John McCutchan.

The btShapeHull class takes a btConvexShape, builds a simplified convex hull using btConvexHull and provides triangle indices and vertices. It can be useful for to simplify a complex convex object and for visualization of a non-polyhedral convex object. It approximates the convex hull using the supporting vertex of 42 directions.

Definition at line 27 of file btShapeHull.h.

## Constructor & Destructor Documentation

## ◆ btShapeHull()

btShapeHull::btShapeHull | ( | const btConvexShape * | shape | ) |

Definition at line 24 of file btShapeHull.cpp.

## ◆ ~btShapeHull()

btShapeHull::~btShapeHull | ( |  | ) |

Definition at line 32 of file btShapeHull.cpp.

## Member Function Documentation

## ◆ BT_DECLARE_ALIGNED_ALLOCATOR()

btShapeHull::BT_DECLARE_ALIGNED_ALLOCATOR | ( |  | ) |

## ◆ buildHull()

bool btShapeHull::buildHull | ( | btScalar | margin,
|  | int | highres = 0 )

Definition at line 38 of file btShapeHull.cpp.

## ◆ getIndexPointer()

const unsigned int * btShapeHull::getIndexPointer | ( |  | ) | const
| inline

Definition at line 54 of file btShapeHull.h.

## ◆ getUnitSpherePoints()

btVector3 * btShapeHull::getUnitSpherePoints | ( | int | highres = 0 | ) |
| staticprotected

Definition at line 113 of file btShapeHull.cpp.

## ◆ getVertexPointer()

const btVector3 * btShapeHull::getVertexPointer | ( |  | ) | const
| inline

Definition at line 50 of file btShapeHull.h.

## ◆ numIndices()

int btShapeHull::numIndices | ( |  | ) | const

Definition at line 108 of file btShapeHull.cpp.

## ◆ numTriangles()

int btShapeHull::numTriangles | ( |  | ) | const

Definition at line 98 of file btShapeHull.cpp.

## ◆ numVertices()

int btShapeHull::numVertices | ( |  | ) | const

Definition at line 103 of file btShapeHull.cpp.

## Member Data Documentation

## ◆ m_indices

btAlignedObjectArray<unsigned int> btShapeHull::m_indices
| protected

Definition at line 32 of file btShapeHull.h.

## ◆ m_numIndices

unsigned int btShapeHull::m_numIndices
| protected

Definition at line 33 of file btShapeHull.h.

## ◆ m_shape

const btConvexShape* btShapeHull::m_shape
| protected

Definition at line 34 of file btShapeHull.h.

## ◆ m_vertices

btAlignedObjectArray<btVector3> btShapeHull::m_vertices
| protected

Definition at line 31 of file btShapeHull.h.

The documentation for this class was generated from the following files:

- btShapeHull.h
- btShapeHull.cpp